Retrieve an insurance contract
curl --request GET \
--url https://thirdparty.qonto.com/v2/insurance_contracts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/insurance_contracts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/insurance_contracts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"insurance_contract": {
"id": "888e4567-e89b-12d3-a456-426614174123",
"name": "ProLiability Plan 2024",
"contract_id": "12345",
"origin": "insurance_hub",
"provider_slug": "axa",
"type": "business_liability",
"status": "active",
"troubleshooting_url": "https://patner.com/troubleshoot",
"service_url": "https://partner.com/service",
"expiration_date": "2025-12-31",
"start_date": "2024-12-31",
"renewal_date": "2025-12-31",
"payment_frequency": "month",
"price": {
"value": "99.99",
"currency": "EUR"
},
"documents": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Contract Axa",
"type": "contract"
}
]
}
}
Insurance Contracts
Retrieve an insurance contract
OAuth scope: insurance_contract.read
Retrieves the insurance contract identified by the id path parameter.
GET
/
v2
/
insurance_contracts
/
{id}
Retrieve an insurance contract
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Path Parameters
UUID of the insurance contract
Response
Returns the insurance contract identified by the id path parameter.
Insurance contract data provided by Partner
Show child attributes
Show child attributes
Was this page helpful?
⌘I